# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.2.2] - 2019-12-06

### Added
* TextInputContainer now supports content that is set into the Input field

## [0.2.1] - 2019-12-06

### Added
* TextInputContainer now supports enabled and contentPadding

## [0.2.0+5] - 2019-12-05

### Changed
* Try to only have one Library that provides everything?

## [0.2.0+4] - 2019-12-05

### Added
* UserDrawer now supports arrowColor and margin

## [0.2.0+3] - 2019-12-05

### Changed
* Rename the files the three NavigatingText Widgets are located in

## [0.2.0+2] - 2019-12-05

### Added
* UserDrawer now supports onPressed

## [0.2.0+1] - 2019-12-05

### Added
* PathNavigatingText now supports dropping all prior Paths

## [0.2.0] - 2019-12-04

### Changed
* Restructure package (again)

## [0.1.5] - 2019-12-04

### Added
* Adding One-File import of the whole Nektor Framework as `package:nektor/nektor.dart`

### Changed
* NavigatingText now takes a Widget rather then a Route
* Package Card  as `package:nektor/widgets/card/card.dart`
* Package Text  as `package:nektor/widgets/text/text.dart`
* Package Input as `package:nektor/widgets/input/input.dart`

## [0.1.4+1] - 2019-12-03

### Changed
* UserDrawer - Require `name` and `email` as well as prevent Text getting `null`

## [0.1.4] - 2019-12-03

### Added
* NavigatingText - Widget that wraps a Text inside a Navigation

## [0.1.3+4] - 2019-12-02

### Changed
* NormalCard - Accepts content Padding

## [0.1.3+3] - 2019-12-01

### Changed
* Downgrade back to path_provider `1.4.4` as `1.4.5` is incompatible with our Projects

## [0.1.3+2] - 2019-12-01

### Changed
* Packed DrawerNavigationItem and UserDrawer into `nektor.widgets.drawer`

## [0.1.3+1] - 2019-12-01

### Changed
* JsonStorage - Replace `{}` with `;` on empty Constructor
* Update path_provider to `1.4.5`

### Removed
* DrawerNavigationItem - Removed `library` declaration

## [0.1.3] - 2019-12-01

### Added
* JsonStorage - Implements a JSON File Handler for easy Storage

## [0.1.2+2] - 2019-12-01

### Added
* NormalCard - Accepts a mainAxisSize

## [0.1.2+1] - 2019-12-01

### Added
* NormalCard - Accepts a trailing widget

## [0.1.2] - 2019-12-01

### Added
* NormalCard - Widget that wraps a ListTitle inside a Card

## [0.1.1] - 2019-12-01

### Added
* TitleContainer - Widget that wraps a Text in a Container

## [0.1.0] - 2019-12-01

### Added
* TextInputContainer - Widget that places a TextFarmField into a container
* UserDrawer - Widget that wraps a UserAccountsDrawerHeader
* DrawerNavigationItem - Widget that wraps a MaterialPageRoute inside a ListTitle